<?php
// lampangpizza.php version 3.0 
// โดย บุรินทร์ รุจจนพันธุ์
// ปรับปรุง : 1 พฤศจิกายน 2563 (ทำงานบน php7 ได้)
// เดิม16 พฤศจิกายน 2547
// http://www.thaiall.com/lampangpizza
// http://www.thaiall.com/secret/lampangpizza.zip
//
// โปรแกรมนี้ประกอบด้วย 
// - index.php ควบคุมการประมวลผลทั้งหมด
// - menu.txt  เก็บรายการอาหาร และราคา ตามกลุ่มอาหาร
//
// ส่วนต่าง ๆ ของโปรแกรมนี้
// 1. ส่วนปฎิบัติการ cookie
// 2. ส่วนเรียกฟังก์ชัน
// 3. ส่วนรวมฟังก์ชัน
// 3.1 active_page()
// 3.2 food_listing()
// 3.3 category_page()
// 3.4 welcome_page()
// 3.5 header_page()
// 3.6 footer_page()
// 3.7 gallery_page()

# =======================
# 1. ส่วนปฎิบัติการ cookie
if (!isset($_GET["action"])) { $_GET["action"]="view"; }
switch($_GET["action"]) {
case "removeall":
  setcookie("allproduct");
  break;
case "add":
  if (!isset($_COOKIE['allproduct'])) $_COOKIE['allproduct'] = "";
  $aproduct = $_COOKIE['allproduct'].":".$_GET['pid'].",".$_GET['price'];
  setcookie("allproduct","$aproduct",time()+6000);
  break;
case "view":
  if (isset($_COOKIE['allproduct'])) 
    $aproduct = $_COOKIE['allproduct'];
  else 
    $aproduct = "";
  break;
case "remove":
  $aproduct = "";
  $getline = preg_split("/[:]/",$_COOKIE['allproduct']);
  for ($j=1;$j<count($getline);$j++) {
    if ($_GET['pid'] <> $j) { $aproduct = "$aproduct:$getline[$j]"; }
  }
  setcookie("allproduct","$aproduct",time()+6000);
  break;  
}

# =======================
# 2. ส่วนเรียกฟังก์ชัน
header_page();
category_page();
active_page();
footer_page();

# =======================
# 3. ส่วนรวมฟังก์ชัน
# 3.1 active_page()
function active_page() {
global $aproduct;
$ar=file("menu.txt");
$total=0;
$getline = preg_split("/[:]/",$aproduct);
if (count($getline) > 1) echo " | <a href=?action=view>คำนวณรายการอาหาร</a> | <a href=?action=removeall>เริ่มสั่งใหม่</a>";
?>
</td><td bgcolor=gray width=3> </td>
<td align=right>สืบค้นรายการอาหาร <input name=key><input type=submit value=สืบค้น>
</td></form></table>
<?php 
if (count($getline) > 1) {
  echo "<table width=600 align=center bgcolor=#ddaaaa>";
  for ($j=1;$j<count($getline);$j++) {
    $arc = preg_split("/[,]/",$getline[$j]);
    echo "<tr bgcolor=#ffdddd><td bgcolor=gray width=5> </td>";
    echo "<td width=60><a href='?pid=".$j."&action=remove'>ยกเลิก</a> : $j</td><td width=300>".$arc[0];
    echo "</td><td align=right>".$arc[1]."</td><td bgcolor=gray width=5> </td></tr>";
    $total = $total + $arc[1];
  }
  echo "<tr bgcolor=white><td bgcolor=gray width=5> </td><td colspan=2 align=right>รวมเงินค่าอาหารโดยประมาณ เมื่อท่านไปสั่งอาหารที่ร้าน</td><td align=right>".$total."</td><td bgcolor=gray width=5> </td></tr>";
  echo "</table>";
}
if (!isset($_GET["key"]) && !isset($_GET["group"])) {
  if (!isset($_GET["pid"])) {
    $_GET["group"] = "welcome";
    $_GET["title"] = "ยินดีต้อนรับทุกท่าน";
  } else {
    $_GET["group"] = "one";
    $_GET["title"] = "อาหารจานเดียว";
    $_GET["c1"] = "01";
    $_GET["c2"] = "02";  
  }
} 
if (isset($_GET["key"])) {
  echo "<table width=100% align=center bgcolor=#ddffff>";
  echo "<tr bgcolor=#ddffdd><td colspan=2>ผลการค้นหาคำว่า : <b>". $_GET["key"] ."</b></td></tr>";
  $found = 0;
  for($i=0;$i<count($ar);$i++) {
    $c = str_replace($_GET["key"],"",$ar[$i]); 
    if(strlen($c) < strlen($ar[$i])) {
      $b = preg_split("/[:]/",$ar[$i]);
      echo "<tr><td><img src=b.gif> <a href='?pid=".urlencode($b[2])."&price=".$b[3]."&action=add'>".$b[2]."</a></td><td align=right>".$b[3]." บาท</td></tr>";  
      $found = $found + 1;
    }
  }
  echo "<tr bgcolor=black><td colspan=2><font color=yellow>พบรายการอาหารจำนวน : <b>". $found ."</b> รายการ</td></tr>";
  echo "</table>";
} else { 
echo "<table width=100% bgcolor=#408080 cellspacing=1><tr bgcolor=#80ffff><td colspan=5 align=center background=bgblue.jpg><b><font size=4>";
if (isset($_GET["title"])) echo $_GET["title"]; 
echo "</b></td></tr><tr><td width=5 background=dot.gif> </td><td bgcolor=#ddffff valign=top>";
if ($_GET["group"] == "welcome") {
  welcome_page();
} elseif ($_GET["group"] == "gallery") {  
  gallery_page();
} else {
  food_listing($ar);
}
echo "</td><td width=5 background=dot.gif> </td></tr><tr><td colspan=5 height=3 background=dot.gif></td></tr></table>";
} 
echo "</td></tr></table>";
}

# =======================
# 3.2 food_listing()
function food_listing($ar) {
if (isset($_GET["c1"])) { 
  echo "<table width=100%>";
  $j=0;
  for($i=0;$i<count($ar);$i++) {
    $a = substr($ar[$i],0,6);
    if ($a == $_GET["group"].":".$_GET["c1"]) {
      $b = preg_split("/[:]/",$ar[$i]);
      $c = "";
      if (($j%2) == 0) { $c = " bgcolor=#ddffdd"; }
      echo "<tr $c><td><img src=b.gif> <a href='?pid=".urlencode($b[2])."&price=".$b[3]."&action=add'>".$b[2]."</a></td><td align=right>".$b[3]." บาท</td></tr>";   
      $j++;
    }
  }
  echo "</table>"; 
} 
if (isset($_GET["c2"])) { 
  echo "</td><td width=2 background=dot.gif> </td><td bgcolor=#ddffff valign=top>";
  echo "<table width=100%>";
  $j=0;
  for($i=0;$i<count($ar);$i++) {
    $a = substr($ar[$i],0,6);
    if ($a == $_GET["group"].":".$_GET["c2"]) {
      $b = preg_split("/[:]/",$ar[$i]);
      $c = "";
      if (($j%2) == 0) { $c = " bgcolor=#ddffdd"; }
      echo "<tr $c><td><img src=b.gif> <a href='?pid=".urlencode($b[2])."&price=".$b[3]."&action=add'>".$b[2]."</a></td><td align=right>".$b[3]." บาท</td></tr>";  
      $j++;
    }
  }
  echo "</table>"; 
} 
} 

# =======================
# 3.3 category_page()
function category_page() {
echo '<body topmargin=0 leftmargin=0 bgcolor=#ffffdd background=bg.gif><font face="ms sans serif" size=0>
<table bgcolor=white background=pizza_top_bg.jpg width=780 height=81 align=center><tr><td> </td></tr></table>
<table width=780 background=pizza_bg.gif height=21 align=center>
<tr><td><font size=0 color=white><b>รับจอง</b>: ห้องคาราโอเกาะส่วนตัว ห้องคาราโอเกะรวม
</td><td valign=top align=right><font size=0 color=white>ผู้จัดการร้าน คุณกรณีศึกษา สำหรับนักเรียน โทรศัพท์.0-5422-2222 มือถือ.0-1222-2222</td></tr>
</table>
<table width=780 align=center><tr><td width=180 align=center valign=top>
<table align=center width=98% cellpadding=0 cellspacing=0 border=0>
<tr bgcolor=black><td bgcolor=#aaaaaa width=1></td><td align=center valign=top><font color=white><b>กลุ่มรายการอาหาร</b></td><td bgcolor=#aaaaaa width=1></td></tr>
<tr><td bgcolor=#aaaaaa width=1></td><td bgcolor=#dddddd> <img src=white4.gif> <a href="?group=one&c1=01&c2=02&title=' . urlencode("อาหารจานเดียว"). '">อาหารจานเดียว</a></td><td bgcolor=#aaaaaa width=1></td></tr>
<tr><td bgcolor=#aaaaaa width=1></td><td bgcolor=#c0c0c0> <img src=white4.gif> <a href="?group=tod&c1=03&c2=04&title=' . urlencode("ทอด"). '">ทอด</a></td><td bgcolor=#aaaaaa width=1></td></tr>
<tr><td bgcolor=#aaaaaa width=1></td><td bgcolor=#dddddd> <img src=white4.gif> <a href="?group=tom&c1=05&c2=06&title=' . urlencode("ต้มจืด-ต้มยำ"). '">ต้มจืด-ต้มยำ</a></td><td bgcolor=#aaaaaa width=1></td></tr>
<tr><td bgcolor=#aaaaaa width=1></td><td bgcolor=#c0c0c0> <img src=white4.gif> <a href="?group=pad&c1=07&c2=08&title=' . urlencode("ผัด"). '">ผัด</a></td><td bgcolor=#aaaaaa width=1></td></tr>
<tr><td bgcolor=#aaaaaa width=1></td><td bgcolor=#dddddd> <img src=white4.gif> <a href="?group=yum&c1=09&c2=10&title=' . urlencode("ยำ"). '">ยำ</a></td><td bgcolor=#aaaaaa width=1></td></tr>
<tr><td bgcolor=#aaaaaa width=1></td><td bgcolor=#c0c0c0> <img src=white4.gif> <a href="?group=par&c1=11&c2=12&title=' . urlencode("ประเภทปลา"). '">ประเภทปลา</a></td><td bgcolor=#aaaaaa width=1></td></tr>
<tr><td bgcolor=#aaaaaa width=1></td><td bgcolor=#dddddd> <img src=white4.gif> <a href="?group=kng&c1=13&c2=14&title=' . urlencode("แกงเผ็ด"). '">แกงเผ็ด</a></td><td bgcolor=#aaaaaa width=1></td></tr>
</table>
<table align=center width=98% cellpadding=0 cellspacing=0 border=0>
<tr><td bgcolor=#aaaaaa width=1></td><td bgcolor=#c0c0c0 valign=top> <img src=white4.gif> <a href="?group=frt&c1=99&title=' . urlencode("ผลไม้รวม"). '">ผลไม้รวม 40-60 บาท</a></td><td align=right width=18><img src=whiteconner.gif></td></tr>
<tr><td bgcolor=#aaaaaa height=1 colspan=2></td></tr>
</table><br>
<table align=center width=98% cellpadding=0 cellspacing=0 border=0>
<tr bgcolor=#800000><td align=center valign=top><font color=white><b>Photo gallery</b></td></tr>
</table>
<a href=pizza01.jpg target=_blank><img src=pizza01t.jpg width=80 border=0></a>
<a href=pizza02.jpg target=_blank><img src=pizza02t.jpg width=80 border=0></a><br>
:: Click <a href=?group=gallery>ดูภาพทั้งหมด</a> ::
</td><td valign=top>
<table align=center width=100% bgcolor=#ffffdd><form action=index.php method=get>
<td bgcolor=gray width=3> </td>
<td bgcolor=white align=center>
<a href=?>หน้าแรก</a>';
}

# =======================
# 3.4 welcome_page()
function welcome_page() {
echo "<center><table width=100% align=center bgcolor=white bordercolor=#dddddd border=1>
<td width=60 height=130 valign=bottom background=sing.jpg><font face=fixedsys size=0 color=blue>FREE<br>KARAOKE</td><td background=bgroom.jpg>
ชอเชิญร่วม <b>สะสมแสตมป์</b> แลกของรางวัลมากมาย 
<br>เพียงรับประทานครบ 50 บาท ก็จะได้รับแสตมป์ 1 ดวง
<br><b>ตัวอย่างของรางวัล</b> :
<dd>Remy martin, Black label, Chivas regal, Redlabel, Regency, Segram, Sangsom, Pizza, Vodka Cruiser, Bacardi Breezer หรือ Spy
<font color=red size=4><br>
<center>บริการห้องแอร์ และห้องคาราโอเกะรวม <b>ฟรี</b>
</td><td width=120 height=130 valign=bottom background=sing.jpg><font face=fixedsys size=0 color=blue>SINGING CONTEST</td>
</table><font size=0>ร่วมฉลองวัน valentine มากันเป็นคู่ รับของขวัญทุกโต๊ะ
<br><font color=red>จับฉลาก <b>รับของขวัญทุกโต๊ะ</b></font> ในวันที่ 14 กุมภาพันธ์ ตั้งแต่ 17.00 น. เป็นต้นไป
<br><img src=pizza04.jpg width=500 border=0>
</center>";
} 

# =======================
# 3.5 header_page()
function header_page() {
echo '<html><head><title>ร้านพิซซ่าลำปาง</title>
<meta http-equiv=content-type content="text/html; charset=windows-874">
<meta name=keywords content="pizza,lampang,thailand">
<meta name=description content="ร้านพิซซ่าลำปาง ในชื่อเว็บ lampangpizza.com">
<meta name=author content="burin rujjanapan e-mail: webmaster@thaiall.com">
<style type="text/css">
body{scrollbar-base-color:gray;scrollbar-arrow-color:yellow;font-family:MS Sans Serif;font-size:10px}
a:link{color:red;text-decoration:none;font-family:ms sans serif;}
a:visited{color:purple;text-decoration:none;font-family:ms sans serif;}
a:hover{color:blue;text-decoration:underline overline;font-family:ms sans serif;}
td{font-size:10pt;font-family:ms sans serif;}
</style><base target="_self"></head>';
}

# =======================
# 3.6 footer_page()
function footer_page() {
echo '<center>เริ่มประชาสัมพันธ์ร้านแบบ online <b>11 พฤศจิกายน 2546</b> และปรับปรุงเว็บไซต์ล่าสุด <b> 11 พฤศจิกายน 2547</b>
<br>ผู้จัดการร้าน <font color=blue><b>คุณกรณีศึกษา สำหรับนักเรียน</b></font> โทรศัพท์.0-5422-2222 มือถือ.0-1222-2222
<br>ผู้ดูแลเว็บไซต์ของร้าน <a href="mailto:webmaster@thaiall.com" title="webmaster@thaiall.com">บุรินทร์ รุจจนพันธุ์</a><br>';
?>
<script language=JavaScript>
<!--
url = document.location.href.substr(7,15)
page = "lampangpizza"
if (url == "www.lampangpizz" ) document.write("<SCRIPT LANGUAGE='javascript1.1' src='http://truehits1.gits.net.th/data/j0017969.js'></script>")
if (url == "www.thaiall.com" ) document.write("<SCRIPT LANGUAGE='javascript1.1' src='http://truehits1.gits.net.th/data/c0001941.js'></script>")
-->
</script></center></body></html>
<?php } 

# =======================
# 3.7 gallery_page()
function gallery_page() {
 echo "<center><font color=red size=4><b>Photo gallery</b></font><hr color=#408080>";
 for($i=1;$i<=4;$i++) { echo "<a href=pizza0$i.jpg target=_blank><img src=pizza0$i"."t.jpg border=0></a> "; }
}
?>
